## org.apache.lucene.benchmark.byTask.tasks
Class UpdateDocTask

    java.lang.Object
      org.apache.lucene.benchmark.byTask.tasks.PerfTask
          org.apache.lucene.benchmark.byTask.tasks.UpdateDocTask

All Implemented Interfaces:
  java.lang.Cloneable

    public class UpdateDocTask

extends PerfTask

Update a document, using IndexWriter.updateDocument, optionally with of a certain size.
Other side effects: none.
Takes optional param: document size.

Field Summary

Fields inherited from class org.apache.lucene.benchmark.byTask.tasks.PerfTask
`logStep, NEW_LINE, params`

Constructor Summary
`UpdateDocTask(PerfRunData runData)`

Method Summary
`int` `doLogic()` Perform the task once (ignoring repetitions specification) Return number of work items done by this task.
`protected java.lang.String` `getLogMessage(int recsCount)`
`void` `setParams(java.lang.String params)` Set the params (docSize only)
`void` `setup()` Task setup work that should not be measured for that specific task.
`boolean` `supportsParams()` Sub classes that supports parameters must override this method to return true.
`void` `tearDown()` Task tearDown work that should not be measured for that specific task.

Methods inherited from class org.apache.lucene.benchmark.byTask.tasks.PerfTask
`clone, close, getDepth, getName, getParams, getRunData, isDisableCounting, runAndMaybeStats, setDepth, setDisableCounting, setName, shouldNeverLogAtStart, shouldNotRecordStats, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UpdateDocTask

    public UpdateDocTask(PerfRunData runData)

Method Detail

### setup

    public void setup()
               throws java.lang.Exception

  Description copied from class: `PerfTask`
  Task setup work that should not be measured for that specific task. By default it does nothing, but tasks can implement this, moving work from doLogic() to this method. Only the work done in doLogicis measured for this task. Notice that higher level (sequence) tasks containing this task would then measure larger time than the sum of their contained tasks.

  Overrides:
    `setup` in class `PerfTask`
  Throws:
    `java.lang.Exception`

### tearDown

    public void tearDown()
                  throws java.lang.Exception

  Description copied from class: `PerfTask`
  Task tearDown work that should not be measured for that specific task. By default it does nothing, but tasks can implement this, moving work from doLogic() to this method. Only the work done in doLogicis measured for this task. Notice that higher level (sequence) tasks containing this task would then measure larger time than the sum of their contained tasks.

  Overrides:
    `tearDown` in class `PerfTask`
  Throws:
    `java.lang.Exception`

### doLogic

    public int doLogic()
                throws java.lang.Exception

  Description copied from class: `PerfTask`
  Perform the task once (ignoring repetitions specification) Return number of work items done by this task. For indexing that can be number of docs added. For warming that can be number of scanned items, etc.

  Specified by:
    `doLogic` in class `PerfTask`
  Returns:
    number of work items done by this task.
  Throws:
    `java.lang.Exception`

### getLogMessage

    protected java.lang.String getLogMessage(int recsCount)

  Overrides:
    `getLogMessage` in class `PerfTask`

### setParams

    public void setParams(java.lang.String params)

  Set the params (docSize only)

  Overrides:
    `setParams` in class `PerfTask`
  Parameters:
    `params` - docSize, or 0 for no limit.

### supportsParams

    public boolean supportsParams()

  Description copied from class: `PerfTask`
  Sub classes that supports parameters must override this method to return true.

  Overrides:
    `supportsParams` in class `PerfTask`
  Returns:
    true iff this task supports command line params.

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.